{$mode objfpc}{$assertions on}{$r+}
uses
  Math;

function DeMortonW(a: Integer): Integer;
begin
  a := a and $5555;
  a := (a xor (a shr 1)) and $3333;
  a := (a xor (a shr 2)) and $0f0f;
  Result := (a xor (a shr 4)) and $ff;
end;

var
  a, b: Integer;
begin
  AssignFile(input, 'input.txt'); Reset(input);
  AssignFile(output, 'output.txt'); Rewrite(output);
  Read(b, a);
  Assert(InRange(a, 0, 255) and InRange(b, 0, 255));
  a += b shl 8;
  b := DeMortonW(a);
  Write(IfThen(b = DeMortonW(a shr 1), b, 1));
end.
