#include <iostream>
#include <cassert>
#include <cstdio>

using namespace std;

int solve(int x)
{
    int res = 0;
    for (int i = 0; i < 4; i++) {
        if ((x & 3) != 0 && (x & 3) != 3)
            return -1;
        res |= (x & 1) << i;
        x >>= 2;
    }
    return res;
}

int main()
{
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
    
    int a, b;
    cin >> a >> b;

    assert(0 <= a && a <= 255);
    assert(0 <= b && b <= 255);

    int a1 = solve(a), b1 = solve(b);
    if (a1 >= 0 && b1 >= 0) {
        cout << (a1 << 4) + b1;
    } else cout << -1;
    cout << endl;

    fclose(stdin); fclose(stdout);
    return 0;
}
